# Напишіть скрипт, який створює текстовий файл і записує до нього
# 10000 випадкових дійсних чисел. Створіть ще один скрипт, який
# читає числа з файлу та виводить на екран їхню суму.
import random

# Відкриваємо файл для запису
with open("numbers.txt", "w", encoding="UTF-8") as file:
    # Записуємо 10000 випадкових дійсних чисел у файл
    for _ in range(10000):
        # Генеруємо випадкове дійсне число і записуємо його у файл
        number = random.uniform(0, 1000)  # Генеруємо випадкове
        # число від 0 до 1000
        file.write(str(number) + "\n")  # Записуємо число у файл, додаючи
        # символ нового рядка

print("Файл numbers.txt створено та заповнено випадковими числами.")

# Ініціалізуємо змінну для збереження суми чисел
total = 0

# Читаємо числа з файлу та виводимо їхню суму на екран
with open("numbers.txt", "r", encoding="UTF-8") as file:
    result = sum(map(float, file))

print("Сума чисел з файлу: ", result)
